{
	saved_FirstTime[0]
	
	GoPath[ (path, mode, post)
	{
		switch( mode )
		{
			case 0
			{
				SetRunning();
				PlayAnimation(0);
			}
			case 1
			{
				SetWalking();
				PlayAnimation(1);
			}
		}

		FollowPath( path, 0 );
		switch( post )
		{
			case 0{ FollowPathCallback(127, "Delay", 0, 10); }
		}
	}]

	TurnHere[ ()
	{
		PlayAnimation(13);

		xPos = 39264;
		yPos = Random(5800,21264);

		TurnToLocation(xPos,yPos);
		Delay( Random (1,4), 10 );
	}]

	Init[ ()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetNationality(3);
			GiveWeapon(62);
	
			SetRunning();
			PlayAnimation(7);
		}
	}]

	DelayReached[ (dy)
	{
		if( dy=10 )
		{
			TurnHere();
			FireShot();
			PlayAnimation(13);

			if( Level.saved_AtEnterBuilding = 0 )
			{
				Delay( Random (1,4), 10 );
			}
		}
	}]
}